com.avaya.deskphoneservices

## Class FeatureControl

- java.lang.Object
- - com.avaya.deskphoneservices.FeatureControl

-     public class FeatureControl
      extends java.lang.Object

  Enable / Disable the auto handling of events from communications package. By default all feature events are processed by DeskPhone services package. Application should disable the boolean corresponding to respective feature in FeatureControl to disable auto processing and provide its own implementation. FeatureControl object should be passed as parameter to initialise method of DeskPhone Services.

  Caution - Auto processing should suffice for most of the apps. This is for advanced developers who are aware of aura features and knows precisely how to override feature's default behaviour. Not processing any of these events may result in fatal issues on DeskPhone platform.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FeatureControl()`
    `FeatureControl(boolean registrationStateEventsHandlingEnabled, boolean remoteRebootHandlingEnabled, boolean reloadConfigurationAllowed)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isRegistrationStateEventsHandlingEnabled()`
    `boolean` | `isReloadConfigurationHandlingEnabled()`
    `boolean` | `isRemoteRebootHandlingEnabled()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FeatureControl

          public FeatureControl()

    - #### FeatureControl

          public FeatureControl(boolean registrationStateEventsHandlingEnabled,
                                boolean remoteRebootHandlingEnabled,
                                boolean reloadConfigurationAllowed)

  - ### Method Detail

    - #### isRegistrationStateEventsHandlingEnabled

          public boolean isRegistrationStateEventsHandlingEnabled()

    - #### isRemoteRebootHandlingEnabled

          public boolean isRemoteRebootHandlingEnabled()

    - #### isReloadConfigurationHandlingEnabled

          public boolean isReloadConfigurationHandlingEnabled()